For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cloud Accounts

APIs for listing cloud accounts across cloud providers.

List cloud accounts by cloud provider

get

List all cloud accounts for a given cloud provider

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

cloudProviderstring · enumRequired

Cloud provider type

Possible values:
Responses
400

Bad Request

application/json

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/cloud-account
GET /gateway/ccm/api/cloud-account?accountIdentifier=text&cloudProvider=AWS HTTP/1.1
Host: nextgen-ce-d788d786-jz7g5
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?